<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php (PictureFlow Gallery v1.0)
| Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."pictureflow_gallery/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pictureflow_gallery/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pictureflow_gallery/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pictureflow_gallery/locale/English.php";
}

// Infusion general information
$inf_title = $locale['pfg_title'];
$inf_description = $locale['pfg_desc'];
$inf_version = "1.0";
$inf_developer = "Wooya";
$inf_email = "wooya@2loud.net.pl";
$inf_weburl = "http://2loud.net.pl";

$inf_folder = "pictureflow_gallery"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_PICTUREFLOW_TABLE." (
pictureflow_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
pictureflow_album_id INT UNSIGNED NOT NULL DEFAULT '0',
pictureflow_lightbox SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',
pictureflow_mybckgrnd VARCHAR(6) NOT NULL DEFAULT 'FFFFFF',
pictureflow_mybckgrndimage VARCHAR(255) NOT NULL DEFAULT 'pictureFlow29/images/bckgrnd_wg.png',
pictureflow_mycolor VARCHAR(6) NOT NULL DEFAULT '330033',
pictureflow_mytextcolor VARCHAR(6) NOT NULL DEFAULT 'FFFFFF',
pictureflow_mysubtextcolor VARCHAR(6) NOT NULL DEFAULT '330033',
pictureflow_myarrowcolor VARCHAR(6) NOT NULL DEFAULT 'FFFFFF',
pictureflow_myloadbarcolor VARCHAR(6) NOT NULL DEFAULT '330033',
pictureflow_myalpha DOUBLE UNSIGNED NOT NULL DEFAULT '0.3',
pictureflow_mystep SMALLINT(3) UNSIGNED NOT NULL DEFAULT '80',
pictureflow_myoffset SMALLINT(3) UNSIGNED NOT NULL DEFAULT '80',
pictureflow_myscrollcolor VARCHAR(6) NOT NULL DEFAULT '330033',
pictureflow_superglass SMALLINT(1) UNSIGNED NOT NULL DEFAULT '0',
pictureflow_border VARCHAR(7) NOT NULL DEFAULT 'rounded',
pictureflow_tooltip SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',
pictureflow_desctext SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',
pictureflow_scrollbar VARCHAR(10) NOT NULL DEFAULT 'permanent',
pictureflow_scaledown SMALLINT(3) UNSIGNED NOT NULL DEFAULT '50',
pictureflow_scaleup SMALLINT(3) UNSIGNED NOT NULL DEFAULT '100',
pictureflow_maskscene SMALLINT(1) UNSIGNED NOT NULL DEFAULT '0',
pictureflow_shownpicture INT UNSIGNED NOT NULL DEFAULT '1',
pictureflow_u_flow SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',
pictureflow_scrollbar_y SMALLINT(3) UNSIGNED NOT NULL DEFAULT '475',
pictureflow_rolloveranim SMALLINT(1) UNSIGNED NOT NULL DEFAULT '0',
pictureflow_easetime DOUBLE UNSIGNED NOT NULL DEFAULT '2.0',
pictureflow_clips2move SMALLINT(3) UNSIGNED NOT NULL DEFAULT '8',
pictureflow_crossdomain TEXT DEFAULT '',
pictureflow_swf VARCHAR(255) NOT NULL DEFAULT 'pictureflow-H340.swf',
pictureflow_swf_width SMALLINT(3) NOT NULL DEFAULT '100',
pictureflow_swf_height SMALLINT(4) NOT NULL DEFAULT '500',
pictureflow_swf_bckgrndcolor VARCHAR(6) NOT NULL DEFAULT 'FFFFFF',
pictureflow_swf_windowmode VARCHAR(11) NOT NULL DEFAULT 'window',
pictureflow_selection_method VARCHAR(20) NOT NULL DEFAULT 'random',
pictureflow_selection_no SMALLINT(5) NOT NULL DEFAULT '5',
pictureflow_selection_pictures TEXT DEFAULT '',
PRIMARY KEY (pictureflow_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_PICTUREFLOW_TABLE."
(
pictureflow_album_id,
pictureflow_lightbox,
pictureflow_mybckgrnd,
pictureflow_mybckgrndimage,
pictureflow_mycolor,
pictureflow_mytextcolor,
pictureflow_mysubtextcolor,
pictureflow_myarrowcolor,
pictureflow_myloadbarcolor,
pictureflow_myalpha,
pictureflow_mystep,
pictureflow_myoffset,
pictureflow_superglass,
pictureflow_border,
pictureflow_tooltip,
pictureflow_desctext,
pictureflow_scrollbar,
pictureflow_scaledown,
pictureflow_scaleup,
pictureflow_maskscene,
pictureflow_shownpicture,
pictureflow_u_flow,
pictureflow_scrollbar_y,
pictureflow_rolloveranim,
pictureflow_easetime,
pictureflow_clips2move,
pictureflow_crossdomain,
pictureflow_swf,
pictureflow_swf_width,
pictureflow_swf_height,
pictureflow_swf_bckgrndcolor,
pictureflow_swf_windowmode,
pictureflow_selection_method,
pictureflow_selection_no,
pictureflow_selection_pictures
) VALUES(
'0',
'1',
'FFFFFF',
'pictureFlow29/images/bckgrnd_wg.png',
'330033',
'FFFFFF',
'330033',
'FFFFFF',
'330033',
'0.3',
'80',
'80',
'0',
'rounded',
'1',
'1',
'permanent',
'50',
'100',
'0',
'1',
'1',
'475',
'0',
'2.0',
'8',
'',
'pictureflow-H340.swf',
'100',
'500',
'FFFFFF',
'window',
'random',
'5',
''
)";

$inf_droptable[1] = DB_PICTUREFLOW_TABLE;

$inf_adminpanel[1] = array(
	"title" => $locale['pfg_admin'],
	"image" => "pictureflow.gif",
	"panel" => "pictureflow_admin.php",
	"rights" => "PX"
);

$inf_sitelink[1] = array(
	"title" => $locale['pfg_link'],
	"url" => "pictureflow_gallery.php",
	"visibility" => "0"
);

?>
