<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pictureflow_gallery.php
| Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."pictureflow_gallery/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pictureflow_gallery/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pictureflow_gallery/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pictureflow_gallery/locale/English.php";
}
include LOCALE.LOCALESET."photogallery.php";

define("SAFEMODE", @ini_get("safe_mode") ? true : false);

if (!isset($_GET['album_id']) || !isNum($_GET['album_id'])) {
	opentable($locale['pfg_title']);
	$rows = dbcount("(album_id)", DB_PHOTO_ALBUMS, groupaccess('album_access'));
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$result = dbquery(
			"SELECT ta.*, tu.user_id,user_name FROM ".DB_PHOTO_ALBUMS." ta
			LEFT JOIN ".DB_USERS." tu ON ta.album_user=tu.user_id
			WHERE ".groupaccess('album_access')." ORDER BY album_order
			LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']
		);
		$counter = 0; $r = 0; $k = 1;
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n"; }
			echo "<td align='center' valign='top' class='tbl'>\n";
			echo "<strong>".$data['album_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>";
			if ($data['album_thumb'] && file_exists(PHOTOS.$data['album_thumb'])){
				echo "<img src='".PHOTOS.$data['album_thumb']."' alt='".$data['album_thumb']."' title='".$locale['401']."' style='border:0px' />";
			} else {
				echo $locale['402'];
			}
			echo "</a><br /><br />\n<span class='small'>\n";
			echo $locale['403'].showdate("shortdate", $data['album_datestamp'])."<br />\n";
			echo $locale['404']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br />\n";
			echo $locale['405'].dbcount("(photo_id)", DB_PHOTOS, "album_id='".$data['album_id']."'")."</span><br />\n";
			echo "</td>\n";
			$counter++; $k++;
		}
		echo "</tr>\n</table>\n";
		closetable();
		if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3)."\n</div>\n"; }
	}else{
		echo "<div style='text-align:center'><br />".$locale['406']."<br /><br /></div>\n";
		closetable();
	}
} else {
	$result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=".$_GET['album_id']);
	if (!dbrows($result)) {
	   $result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=0");
	}
	$pfs = dbarray($result);

	//<!-- CSS -->
	add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."pictureflow_gallery/pictureFlow29/css/shadowbox.css' />");

	//<!-- SWFOBJECT -->
	add_to_head("<script type='text/javascript' src='".INFUSIONS."pictureflow_gallery/pictureFlow29/javascript/plug_flash.js'></script>");

	//<!-- Shadowbox with mooTools -->
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/mootools/mootools-release-1.11.js'></script>");
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/mootools/shadowbox-mootools.js'></script>");
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/mootools/flashShadowboxInjector-mootools.js'></script>");
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/shadowbox.js'></script>");
	add_to_head("<script type='text/javascript'>window.addEvent('domready', function(){Shadowbox.init();});</script>");

	define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$_GET['album_id']."/" : ""));
	
	$result = dbquery(
		"SELECT ta.* FROM ".DB_PHOTO_ALBUMS." ta WHERE album_id='".$_GET['album_id']."'"
	);
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['album_access'])) {
			redirect(FUSION_SELF);
		} else {
			$rows = dbcount("(photo_id)", DB_PHOTOS, "album_id='".$_GET['album_id']."'");
			add_to_title($locale['global_201'].$data['album_title']);
			opentable($locale['420']);
			echo "<!--pre_album_info-->";
			echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
			echo "<td rowspan='2' align='center' class='tbl1 photogallery_album_thumb'><!--photogallery_album_thumb-->";
				if ($data['album_thumb'] && file_exists(PHOTOS.$data['album_thumb'])){
					echo "<img src='".PHOTOS.$data['album_thumb']."' alt='".$data['album_thumb']."' />";
				} else {
					echo $locale['432'];
				}
			echo "</td>\n";
			echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['421'].$data['album_title']."</div>\n";
			echo "<div class='tbl1 photogallery_album_desc' style='vertical-align:middle'><!--photogallery_album_desc-->".nl2br(parseubb($data['album_description']))."</div>\n</td>\n</tr>\n";
			echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
			if ($rows) {
				$pdata = dbarray(dbquery("
					SELECT tp.*, tu.user_id,user_name FROM ".DB_PHOTOS." tp
					LEFT JOIN ".DB_USERS." tu ON tp.photo_user=tu.user_id
					WHERE album_id='".$_GET['album_id']."' ORDER BY photo_datestamp DESC LIMIT 1"
				));
				echo $locale['422']."$rows<br />\n";
				echo $locale['423']."<a href='".BASEDIR."profile.php?lookup=".$pdata['user_id']."'>".$pdata['user_name']."</a>".$locale['424'].showdate("longdate", $pdata['photo_datestamp'])."\n";
			} else {
				echo $locale['425']."\n";
			}
			echo "</div>\n</td>\n</tr>\n</table>";
			echo "<!--sub_album_info-->";
			closetable();
		}
	}
	opentable($locale['pfg_title']);
	$result = dbquery("SELECT * FROM ".DB_PHOTO_ALBUMS." WHERE album_id=".$_GET['album_id']);
	$data = dbarray($result);
	$rprev = dbquery("SELECT album_id FROM ".DB_PHOTO_ALBUMS." WHERE album_order<".$data['album_order']." LIMIT 1");
	$rnext = dbquery("SELECT album_id FROM ".DB_PHOTO_ALBUMS." WHERE album_order>".$data['album_order']." LIMIT 1");
	$prevc = dbrows($rprev);
	$nextc = dbrows($rnext);
	if ($prevc) $datap = dbarray($rprev);
	if ($nextc) $datan = dbarray($rnext);
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n";
	echo "<tr>\n";
  echo "<td class='tbl2' width='33%' style='text-align:left;padding:10px'>".($prevc ? "<a href='".FUSION_SELF."?album_id=".$datap['album_id']."'>&lt;&lt; ".$locale['pfg_prev_album']."</a>" : "")."</td>\n";
  echo "<td class='tbl2' width='33%' style='text-align:center;padding:10px'><a href='".FUSION_SELF."'>".$locale['pfg_album_list']."</a></td>\n";
  echo "<td class='tbl2' width='33%' style='text-align:right;padding:10px'>".($nextc ? "<a href='".FUSION_SELF."?album_id=".$datan['album_id']."'>".$locale['pfg_next_album']." &gt;&gt;</a>" : "")."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	if (dbcount("(*)", DB_PHOTOS, "album_id=".$_GET['album_id'])) {
		echo "<div id='pflow'>\n";
		echo "<script type='text/javascript'>\n";
		echo "var flashVars='';\n";
		echo "flashVars+='xmlfeed=pictures.php?album_id=".$_GET['album_id']."';\n";
		echo "flashVars+='&amp;lightBox=".($pfs['pictureflow_lightbox'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;myBckgrnd=0x".$pfs['pictureflow_mybckgrnd']."';\n";
		echo "flashVars+='&amp;superGlass=".($pfs['pictureflow_superglass'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;myBckGrndImage=".$pfs['pictureflow_mybckgrndimage']."';\n";
		echo "flashVars+='&amp;myColor=0x".$pfs['pictureflow_mycolor']."';\n";
		echo "flashVars+='&amp;myTextColor=0x".$pfs['pictureflow_mytextcolor']."';\n";
		echo "flashVars+='&amp;mySubTextColor=0x".$pfs['pictureflow_mysubtextcolor']."';\n";
		echo "flashVars+='&amp;myArrowColor=0x".$pfs['pictureflow_myarrowcolor']."';\n";
		echo "flashVars+='&amp;myScrollColor=0x".$pfs['pictureflow_myscrollcolor']."';\n";
		echo "flashVars+='&amp;myLoadBarColor=0x".$pfs['pictureflow_myloadbarcolor']."';\n";
		echo "flashVars+='&amp;myAlpha=".$pfs['pictureflow_myalpha']."';\n";
		echo "flashVars+='&amp;Border=".$pfs['pictureflow_border']."';\n";
		echo "flashVars+='&amp;Tooltip=".($pfs['pictureflow_tooltip'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;descText=".($pfs['pictureflow_desctext'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;Scrollbar=".$pfs['pictureflow_scrollbar']."';\n";
		echo "flashVars+='&amp;myStep=".$pfs['pictureflow_mystep']."';\n";
		echo "flashVars+='&amp;myOffset=".$pfs['pictureflow_myoffset']."';\n";
		echo "flashVars+='&amp;scaleDown=".$pfs['pictureflow_scaledown']."';\n";
		echo "flashVars+='&amp;scaleUp=".$pfs['pictureflow_scaleup']."';\n";
		echo "flashVars+='&amp;MaskScene=".($pfs['pictureflow_maskscene'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;shownPicture=".$pfs['pictureflow_shownpicture']."';\n";
		echo "flashVars+='&amp;U_Flow=".($pfs['pictureflow_u_flow'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;scrollbar_Y=".$pfs['pictureflow_scrollbar_y']."';\n";
		echo "flashVars+='&amp;rollOverAnim=".($pfs['pictureflow_rolloveranim'] ? "true" : "false")."';\n";
		echo "flashVars+='&amp;easeTime=".$pfs['pictureflow_easetime']."';\n";
		echo "flashVars+='&amp;clips2move=".$pfs['pictureflow_clips2move']."';\n";
		echo "flashVars+='&amp;crossdomain=".$pfs['pictureflow_crossdomain']."';\n";
		echo "RunFlash('pictureFlow29/".$pfs['pictureflow_swf']."', '".$pfs['pictureflow_swf_width']."%', '".$pfs['pictureflow_swf_height']."', '#".$pfs['pictureflow_swf_bckgrndcolor']."', '".$pfs['pictureflow_swf_windowmode']."', 'PictureFlow', flashVars);\n";
		echo "</script>\n";
		echo "</div>\n";
	} else {
		echo "<div style='text-align:center'>".$locale['425']."</div>\n";
	}
	echo "<div class='small' style='padding-top:5px;float:right'>PictureFlow Gallery v1.0 for PHP-Fusion v7 by Wooya<br  /><a href='http://www.yaelle.com/' target='_blank'>..:: PictureFlow v2.9.3 by osamwal dezign ::..</a></div>\n";
	closetable();
}

require_once THEMES."templates/footer.php";

?>